sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Konrad Windszus (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (SLING-7159) Java9: Upgrade Jackrabbit Dependencies to make Commons Testing compatible with Java9
Date Mon, 14 May 2018 15:25:00 GMT

     [ https://issues.apache.org/jira/browse/SLING-7159?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Konrad Windszus resolved SLING-7159.
------------------------------------
    Resolution: Won't Fix

> Java9: Upgrade Jackrabbit Dependencies to make Commons Testing compatible with Java9
> ------------------------------------------------------------------------------------
>
>                 Key: SLING-7159
>                 URL: https://issues.apache.org/jira/browse/SLING-7159
>             Project: Sling
>          Issue Type: Improvement
>          Components: Testing
>    Affects Versions: Commons Testing 2.1.2
>            Reporter: Konrad Windszus
>            Assignee: Konrad Windszus
>            Priority: Major
>             Fix For: Commons Testing 2.1.4
>
>
> Currently when deriving tests from {{RepositoryTestBase}} and running them with Java9
you see an error like 
> {code}
> java.lang.IllegalArgumentException: javax.jcr.RepositoryFactory is not an ImageIO SPI
class
> 	at java.desktop/javax.imageio.spi.ServiceRegistry.checkClassAllowed(ServiceRegistry.java:745)
> 	at java.desktop/javax.imageio.spi.ServiceRegistry.lookupProviders(ServiceRegistry.java:230)
> 	at org.apache.jackrabbit.commons.JcrUtils.getRepository(JcrUtils.java:170)
> 	at org.apache.jackrabbit.commons.JcrUtils.getRepository(JcrUtils.java:244)
> 	at org.apache.sling.commons.testing.jcr.RepositoryUtil.startRepository(RepositoryUtil.java:107)
> 	at org.apache.sling.commons.testing.jcr.RepositoryProvider.getRepository(RepositoryProvider.java:68)
> 	at org.apache.sling.commons.testing.jcr.RepositoryTestBase.getRepository(RepositoryTestBase.java:67)
> 	at org.apache.sling.commons.testing.jcr.RepositoryTestBase.getSession(RepositoryTestBase.java:50)
> ...
> {code}
> This is due to the issue described in JCR-4179. Therefore the jackrabbit dependencies
should be upgraded to at least 2.14.3.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message